<?php
include_once("c_events_quiz_card.php");
class c_page_cab_events_quiz_card_reports extends c_page_cab_events_quiz_card
{
  public $h1='Карточка мероприятия - статистика по контролю знаний' ;

 function second_menu_config()
 { $this->second_menu[$this->rec_event['__href'].'reports/']=array('title'=>'Статистика КЗ') ;
   $this->second_menu[$this->rec_event['__href'].'reports_graf/']=array('title'=>'Оценка знаний') ;
   $this->second_menu[$this->rec_event['__href'].'reports_session/']=array('title'=>'Сессии КЗ') ;
   $this->second_menu[$this->rec_event['__href'].'reports_results/']=array('title'=>'Результаты КЗ') ;
 }

 function block_main()
 { //$this->page_title() ;
   $this->panel_report() ;
 }

 function panel_report()
 {  include_once(_DIR_EXT.'/quiz/report_quiz_stats.php') ;
     $report_obj=new report_quiz_stats() ;
     $report_obj->event_id=$this->rec_event['pkey'] ;
     $report_obj->setting() ;
     $report_obj->view_as_HTML() ;
 }

}



?>